%define module 	XML-Parser-EasyTree
%define version 0.01
%define release %mkrel 8

Summary:	%{module} perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel >= 5.6
BuildRequires:	perl(XML::Parser)
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch


%description
XML-Parser-EasyTree - adds a new "built-in" style called "EasyTree" to 
XML::Parser.  Like XML::Parser's "Tree" style, setting this style causes 
the parser to build a lightweight tree structure representing the XML document. 


%prep
%setup -q  -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
%{__make}


%install
rm -rf $RPM_BUILD_ROOT
%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST Changes
%{_mandir}/*/*
%{perl_vendorlib}/XML/*/*

%changelog
* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.01-8mdk
- Fix According to perl Policy
	- Source URL
	- BuildRequires
- Add URL
- use mkrel

* Wed Jun 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.01-7mdk
- rebuild

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.01-6mdk
- rebuild for new auto{prov,req}

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.01-5mdk
- rebuild

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.01-4mdk
- rebuild for perl 5.8.0

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.01-3mdk
- fixes by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- BuildRequires:	perl-devel >= 5.6

* Tue Feb 20 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.01-2mdk
- little changes in licence

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.01-1mdk
- added in contribs by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- First Mandrake Release


